Bug 1642883 - jenkins: Ephemeral user record was created on some invalid authentication attempts
Summary: jenkins: Ephemeral user record was created on some invalid authentication att...
Keywords:
Status: CLOSED DUPLICATE of bug 1620342
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1642894
Blocks: 1642893
TreeView+ depends on / blocked
 
Reported: 2018-10-25 09:19 UTC by Andrej Nemec
Modified: 2021-02-16 22:51 UTC (History)
14 users (show)

Fixed In Version: jenkins 2.146, jenkins 2.138.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-14 02:12:19 UTC
Embargoed:


Attachments (Terms of Use)

Description Andrej Nemec 2018-10-25 09:19:30 UTC
When attempting to authenticate using API token, an ephemeral user record was created to validate the token in case an external security realm was used, and the user record in Jenkins not previously saved, as (legacy) API tokens could exist without a persisted user record.

This behavior could be abused to create a large number of ephemeral user records in memory.

This is the same vulnerability as SECURITY-672. The fix for SECURITY-672 was previously incorrectly applied and therefore not effective. This has been fixed.


External References:

https://jenkins.io/security/advisory/2018-10-10/#SECURITY-1162

Comment 1 Andrej Nemec 2018-10-25 09:40:01 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1642894]

Comment 2 Sam Fowler 2019-01-14 02:12:19 UTC

*** This bug has been marked as a duplicate of bug 1620342 ***


Note You need to log in before you can comment on or make changes to this bug.